---
version: "3.8"

services:
  foundry:
    image: felddy/foundryvtt:latest
    hostname: my_foundry_host
    restart: no
    volumes:
      - type: bind
        source: ./data
        target: /data
    environment:
      - FOUNDRY_PASSWORD=Fanaticbread&076
      - FOUNDRY_USERNAME=jadowyne
      - FOUNDRY_ADMIN_KEY=Tornadocherry&090
      - CONTAINER_PRESERVE_CONFIG=true
      - FOUNDRY_HOSTNAME=foundry.treehousefullofstars.com
      - FOUNDRY_MINIFY_STATIC_FILES=true
      - FOUNDRY_PROXY_SSL=true
      - FOUNDRY_TELEMETRY=false
    ports:
      - target: 30000
        published: 30000
        protocol: tcp
